/**
 * @author Theodore Kruczek.
 * @license MIT
 * @copyright (c) 2022-2024 Theodore Kruczek Permission is
 * hereby granted, free of charge, to any person obtaining a copy of this
 * software and associated documentation files (the "Software"), to deal in the
 * Software without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
import { Degrees, Radians } from 'ootk-core';
import { RfSensorParams } from '../main';
import { DetailedSensor } from './DetailedSensor';
export declare class RfSensor extends DetailedSensor {
    boresightAz: Degrees;
    boresightEl: Degrees;
    freqBand?: string;
    beamwidth: Degrees;
    constructor(info: RfSensorParams);
    uvFromAzEl(az: Degrees, el: Degrees): {
        u: number;
        v: number;
    };
    azElFromUV(u: number, v: number): {
        az: Degrees;
        el: Degrees;
    };
    get boresightAzRad(): Radians;
    get boresightElRad(): Radians;
    get beamwidthRad(): Radians;
}
